<!-- Nav -->
<%- include('../partials/nav', {active: "vault"}); %>

<div class="container-fluid">
    <div class="row d-flex d-md-block flex-nowrap wrapper">
        <main class="col-12 float-left col px-5 px-md-3 py-3 main">
            <h1>
                Create Secret
            </h1>
            <% include ../partials/messages %>
            <form action="/vault/kv/secret/create" method="POST" enctype="application/json">

                <div class="form-group">
                    <label for="vaultPath" class="col-form-label font-weight-bold"><%=vaultPath%></label>
                    <input type="hidden" id="vaultPath" name="vaultPath" value="<%=vaultPath%>">
                </div>

                <div class="form-group">

                    <div class="form-row mb-2">
                        <div class="col">
                            <label for="pathInput">Path</label>
                            <input id="pathInput" type="text" class="form-control" placeholder="Path" name="secretPath" required>
                        </div>
                    </div>

                    <hr/>

                    <div class="form-row mb-2">
                        <table class="table table-striped table-sm">
                            <thead>
                                <tr>
                                    <th colspan="2">
                                        Secret Data
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                <% for (var i in [1,2,3,4,5]){%>
                                    <tr>
                                        <td>
                                            <input id="secretKey<%=i%>" type="text" class="form-control" placeholder="key"
                                                name="secretData[<%=i%>][key]">
                                        </td>
                                        <td>
                                            <input id="secretValue<%=i%>" type="password" class="form-control" placeholder="value"
                                                name="secretData[<%=i%>][value]">
                                        </td>
                                    </tr>
                                <%} %>
                            </tbody>
                        </table>
                    </div>

                </div>
                <div>
                    <button type="submit" class="btn btn-primary">Save</button>
                    <a class="btn btn-secondary" href="/vault/kv/secret/read/<%= encodeURIComponent(vaultPath) %>">Back</a>
                </div>
            </form>
        </main>
    </div>
</div>